package com.zayac.admin.system.mapper;

import org.apache.ibatis.annotations.Select;
import top.continew.starter.data.mybatis.plus.base.BaseMapper;
import com.zayac.admin.system.model.entity.PlatformDO;

/**
* 平台 Mapper
*
* @author zayac
* @since 2024/05/14 12:28
*/
public interface PlatformMapper extends BaseMapper<PlatformDO> {
    @Select("SELECT * FROM sys_platform WHERE name = #{name}")
    PlatformDO selectByName(String name);

    @Select("SELECT * FROM sys_platform WHERE platform_id = #{platformId}")
    PlatformDO selectByPlatformId(Integer platformId);
}